.mp_widget {
    top: 80px;
    padding: 12px;
    left: calc(50% - 150px);
    width: 300px;
    z-index: 1500;
    position: fixed;
    color: $white;
    background: $dark;
    font-size: 11px;
    line-height: 16px;
    border-radius: 5px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
    font-family: "Museo Sans Cyrl", Arial, sans-serif;
    display: none;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &--open {
        display: block;
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    &__header {
        font-size: 12px;
        font-weight: 400;
        line-height: 16px;
        text-align: center;
        margin-bottom: 10px;
    }

    &__buttons {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 15px;
    }

    &__button {
        margin: 0 15px;
    }

    &__text {

        a {
            color: $yellow;
            text-decoration: underline;

            &:hover {
                color: $yellow;
                text-decoration: none;
            }
        }
    }

    &__close {
        top: 0;
        right: 0;
        width: 40px;
        height: 40px;
        border: none;
        outline: none;
        font-size: 0;
        line-height: 0;
        z-index: 100;
        cursor: pointer;
        position: absolute;
        display: inline-block;
        background: transparent;

        &:after,
        &:before {
            z-index: 10;
            display: block;
            top: calc(50% - 1px);
            left: calc(50% - 8px);
            width: 16px;
            height: 2px;
            content: '';
            position: absolute;
            background: #1D1D1B;
            transition: .3s;
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }

        &:hover {

            &:after,
            &:before {
                background: $gray;
                transition: .3s;
            }
        }
    }

    @media (min-width: 768px) {
        top: 120px;
    }

    @media (min-width: 1200px) {
        top: auto;
        left: auto;
        right: 30px;
        bottom: 30px;
    }
}

.mp_btn {
    color: #000;
    min-width: 56px;
    outline: none;
    cursor: pointer;
    height: 24px;
    padding: 4px 12px;
    font-weight: 600;
    font-size: 10px;
    line-height: 12px;
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid $black;
    text-transform: uppercase;
    background: #D8D8D8;
    fill: #000;

    &:hover {
        color: #000;
        background: #c5c5c5;
        text-decoration: none;
        fill: #000;
    }

    &:active {
        background: #D8D8D8;
    }

    &:focus,
    &.focus {
        outline: 0;
    }
}

.mp_btn--yellow {
    background: #F8E71C;

    &:hover {
        background: #f8e73a;
    }

    &:active {
        background: #F8E71C;
    }
}
